<?xml version="1.0" encoding="UTF-8"?>
<grammar ns="http://www.suse.com/1.0/yast2ns" xmlns="http://relaxng.org/ns/structure/1.0">
  <define name="software">
    <element name="software">
      <optional>
        <ref name="addons"/>
      </optional>
      <ref name="base"/>
      <optional>
        <ref name="kernel"/>
      </optional>
      <optional>
        <ref name="packages"/>
      </optional>
      <optional>
        <ref name="post-packages"/>
      </optional>
      <optional>
        <ref name="remove-packages"/>
      </optional>
    </element>
  </define>
  <define name="addons">
    <element name="addons">
      <ref name="LIST"/>
      <oneOrMore>
        <element name="addon">
          <text/>
        </element>
      </oneOrMore>
    </element>
  </define>
  <define name="base">
    <element name="base">
      <text/>
    </element>
  </define>
  <define name="kernel">
    <element name="kernel">
      <text/>
    </element>
  </define>
  <define name="post-packages">
    <element name="post-packages">
      <ref name="LIST"/>
      <oneOrMore>
        <element name="package">
          <text/>
        </element>
      </oneOrMore>
    </element>
  </define>
  <define name="packages">
    <element name="packages">
      <ref name="LIST"/>
      <oneOrMore>
        <element name="package">
          <text/>
        </element>
      </oneOrMore>
    </element>
  </define>
  <define name="remove-packages">
    <element name="remove-packages">
      <ref name="LIST"/>
      <oneOrMore>
        <element name="package">
          <text/>
        </element>
      </oneOrMore>
    </element>
  </define>
</grammar>
